This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 879265 - SAM1.2 Upgrade 1.0 > 1.2 fail at katello-upgrade
SAM1.2 Upgrade 1.0 > 1.2 fail at katello-upgrade
Status: CLOSED NOTABUG
Product: Subscription Asset Manager
Classification: Red Hat
Component: katello (Show other bugs)
1.2
x86_64 Linux
unspecified Severity medium
: rc
: ---
Assigned To: Jordan OMara
Tazim Kolhar
:
Depends On:
Blocks: sam12-tracker
  Show dependency treegraph
 
Reported: 2012-11-22 08:38 EST by Tazim Kolhar
Modified: 2016-04-25 20:54 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-27 11:42:04 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
katello-upgrade log (470 bytes, text/x-log)
2012-11-22 08:41 EST, Tazim Kolhar
no flags Details

  None (edit)
Description Tazim Kolhar 2012-11-22 08:38:06 EST
Description of problem:
Upgrade sam 1.0 > 1.2 failed

Version-Release number of selected component (if applicable):
# rpm -qa | grep katello
katello-headpin-all-1.2.6-2h.el6_3.noarch
katello-glue-candlepin-1.2.6-2h.el6_3.noarch
katello-configure-1.2.3-1h.el6_3.noarch
katello-cli-1.2.4-2h.el6_3.noarch
katello-selinux-1.2.1-1h.el6_3.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
katello-headpin-1.2.6-2h.el6_3.noarch
katello-common-1.2.6-2h.el6_3.noarch
katello-certs-tools-1.2.1-1h.el6_3.noarch
katello-cli-common-1.2.4-2h.el6_3.noarch


How reproducible:
# yum install -y katello-headpin-all
# katello-configure --deployment=sam

Steps to Reproduce:
1.# stop all the services (tomcat6,katello,katello-jobs,thumbslug)
2.# yum update katello*
3.# katello-service start
    Shutting down Katello services...
    Stopping katello-jobs: [FAILED]
    Stopping katello: 
    Stopping elasticsearch: [  OK  ]
    Stopping httpd: [  OK  ]
    Stopping tomcat6: [  OK  ]
    Done.

4.# katello-upgrade
================================================================================
 Katello upgrade
================================================================================

1/2: Update Candlepin (0003_update_candlepin.sh)
 Updates Candlepin database schema to the latest version

Do you want to proceed? (y/n): y

Update Candlepin FAILED.

================================================================================
Finished 0 of 2 upgrade steps
[root@ibm-x3655-02 yum.repos.d]# katello-upgrade -y
================================================================================
 Katello upgrade
================================================================================

1/2: Update Candlepin (0003_update_candlepin.sh)
 Updates Candlepin database schema to the latest version


Update Candlepin FAILED.

================================================================================
Finished 0 of 2 upgrade steps

 
Actual results:

Upgrade Failed

Expected results:

Upgrade Successful

Additional info:
Comment 1 Tazim Kolhar 2012-11-22 08:41:54 EST
Created attachment 649820 [details]
katello-upgrade log

Note You need to log in before you can comment on or make changes to this bug.